@ECHO OFF
@chcp 65001

@REM 从脚本名称中识别IP地址
for /f "tokens=* delims=" %%b in ('powershell -NoProfile -Command "([regex]::Matches('%~n0', '[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}'))[0].Value"') do (
    @SET IP_ADDRESS=%%b
)

if "%IP_ADDRESS%"=="" (
    echo 错误：无法从文件名中识别IP地址。
    echo 请将脚本文件改名为包含IP地址的格式，例如：【引导程序拖到这里】192.168.0.232触屏嵌入式执行引导程序.bat
    echo 或者简洁点的：192.168.0.232.bat，等类似格式。
    pause
    exit /b 1
)

echo 准备升级【%1】

"%~dp0\TouchEmbeSshTool.exe" ^
    --host "%IP_ADDRESS%" ^
    --add-samba-root-user ^
    --upload-app "%1" ^
    --stop-app ^
    --backup-and-update-app ^
    --reboot

pause